Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122228

Summary: Review Request: nodejs-pac-proxy-agent - A PAC file proxy `http.Agent` implementation for HTTP
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-08-18 20:28:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1122208, 1122221, 1122224, 1122229, 1122241    
Bug Blocks: 956806, 1122231    

Description Ralph Bean 2014-07-22 19:05:11 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-pac-proxy-agent.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-pac-proxy-agent-0.1.2-1.fc20.src.rpm

Description:
This module provides an `http.Agent` implementation that retreives the
specified [PAC proxy file][pac-wikipedia] and uses it to resolve which
HTTP, HTTPS, or SOCKS proxy, or if a direct connection should be used to
connect to the HTTP endpoint.

Comment 1 Parag AN(पराग) 2014-07-26 05:49:22 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-pac-proxy-agent.noarch: W: spelling-error Summary(en_US) http -> HTTP
nodejs-pac-proxy-agent.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-pac-proxy-agent.noarch: W: spelling-error %description -l en_US retreives -> retrieves, receives, restrictive
nodejs-pac-proxy-agent.noarch: W: spelling-error %description -l en_US wikipedia -> Wikipedia
nodejs-pac-proxy-agent.noarch: W: only-non-binary-in-usr-lib
nodejs-pac-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/pac-proxy-agent/node_modules/pac-resolver /usr/lib/node_modules/pac-resolver
nodejs-pac-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/pac-proxy-agent/node_modules/get-uri /usr/lib/node_modules/get-uri
nodejs-pac-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/pac-proxy-agent/node_modules/extend /usr/lib/node_modules/extend
nodejs-pac-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/pac-proxy-agent/node_modules/agent-base /usr/lib/node_modules/agent-base
nodejs-pac-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/pac-proxy-agent/node_modules/stream-to-array /usr/lib/node_modules/stream-to-array
nodejs-pac-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/pac-proxy-agent/node_modules/debug /usr/lib/node_modules/debug
nodejs-pac-proxy-agent.src: W: spelling-error Summary(en_US) http -> HTTP
nodejs-pac-proxy-agent.src: W: spelling-error %description -l en_US http -> HTTP
nodejs-pac-proxy-agent.src: W: spelling-error %description -l en_US retreives -> retrieves, receives, restrictive
nodejs-pac-proxy-agent.src: W: spelling-error %description -l en_US wikipedia -> Wikipedia
2 packages and 0 specfiles checked; 0 errors, 15 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :00430b77579c5457f88e323e12bea2600f54b12c33d24152e75f6554c2d83f8b
upstream tarball :00430b77579c5457f88e323e12bea2600f54b12c33d24152e75f6554c2d83f8b

+ License "MIT" is valid and is included in its README.md file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-08-18 13:23:32 UTC
New Package SCM Request
=======================
Package Name: nodejs-pac-proxy-agent
Short Description: A PAC file proxy `http.Agent` implementation for HTTP
Upstream URL: https://npmjs.org/package/pac-proxy-agent
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Kevin Fenzi 2014-08-18 14:51:00 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-08-18 20:22:00 UTC
nodejs-pac-proxy-agent-0.1.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-pac-proxy-agent-0.1.2-1.fc20

Comment 5 Fedora Update System 2014-08-18 20:22:09 UTC
nodejs-pac-proxy-agent-0.1.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-pac-proxy-agent-0.1.2-1.fc19

Comment 6 Ralph Bean 2014-08-18 20:28:14 UTC
Built for rawhide.

Comment 7 Fedora Update System 2014-09-09 22:07:46 UTC
nodejs-pac-proxy-agent-0.1.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-09-09 22:18:07 UTC
nodejs-pac-proxy-agent-0.1.2-1.fc19 has been pushed to the Fedora 19 stable repository.